// compile-command: "g++ -Iinclude -D_GLIBCXX_DEBUG -fsanitize=address,undefined -g3 -ggdb3 -std=c++17 example.cpp -o example && SOI_H_COLOR=1 SOI_H_EOFCHECK=1 ./example <<< ''"
#include <soi>

signed main() {
  dbg();
  dbg("hi");
  string s="world";
  dbg(s);
  dbg();
  dbg(false);
  dbg(true);
  dbg('c');
  vector<int> pi{3,1,4,1,5,9,2,6};
  dbg(pi);
  dbg(vector<int>{3,1,4,1,5,9,2,6});
  dbg(vector<pair<int, int>>{{3,1},{4,1}});
  dbg(vector<pair<int, vector<string>>>{{3,{"hi"}},{4,{"hello", "world"}}});
  dbg(set<int>{3,1,4});
  dbg(map<int, string>{{3,"three"},{1,"one"}});
  dbg(unordered_map<int, string>{{3,"three"},{1,"one"}});
  dbg(unordered_set<int>{3,1,4});
}
